
D-Link 14-Port L2 Managed Switch with
10 x 10/100/1000BaseT(X) (8 PoE) & 4 x 100/1000BaseSFP
Model DIS‑300G‑14PSWPart no. DIS-300G-14PSWEAN 790069437922
78 specifications
- Weight1.41 kg
- ColourBlack
- Switch typeManaged
- Basic switching RJ-45 Ethernet ports quantity10
- 10G supportNo
- MAC address table8000 entries
Overview
- Weight
- 1.41 kg
- Colour
- Black
- Switch type
- Managed
- Basic switching RJ-45 Ethernet ports quantity
- 10
- 10G support
- No
- MAC address table
- 8000 entries
- Brand
- D-Link
- Category
- Network Switch
- Model
- DIS‑300G‑14PSW
- Part number
- DIS-300G-14PSW
- EAN / UPC
- 790069437922
- Also known as
- D-Link 14-Port L2 Managed Switch with 10 x 10/100/1000BaseT(X) (8 PoE) & 4 x 100/1000BaseSFP
Specifications
78 specifications in 16 groups
Management features
| Specification | Value |
|---|---|
| Switch type | Managed |
| Switch layer | L2 |
| Quality of Service (QoS) support | Yes |
| Web-based management | Yes |
| Traffic shaping | Yes |
| System event log | Yes |
| MIB support | RFC 1757 RMON 1,2,3,9; RFC 2674 Q MIB RFC‑1213 MIB‑II; RFC‑1493 MIB; RFC 2233 IF MIB |
Ports & interfaces
| Specification | Value |
|---|---|
| Basic switching RJ-45 Ethernet ports quantity | 10 |
| Basic switching RJ-45 Ethernet ports type | Gigabit Ethernet (10/100/1000) |
| Installed SFP modules quantity | 0 |
| Installed SFP+ modules quantity | 0 |
| SFP module slots quantity | 4 |
| Fiber optic connector | LC |
Network
| Specification | Value |
|---|---|
| Networking standards | IEEE 802.1D, IEEE 802.1ab, IEEE 802.1ad, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at, IEEE 802.3x |
| 10G support | No |
| Full duplex | Yes |
| Auto MDI/MDI-X | Yes |
| Auto-negotiation | Yes |
| Broadcast storm control | Yes |
| Flow control support | Yes |
| Link aggregation | Yes |
| Spanning tree protocol | Yes |
| VLAN support | Yes |
| Virtual LAN features | Tagged VLAN, Protocol-based VLAN, Interface-based VLAN, Port-based VLAN, IP subnet–based VLAN |
| Number of VLANs | 1024 |
Data transmission
| Specification | Value |
|---|---|
| MAC address table | 8000 entries |
| Store-and-forward | Yes |
| Jumbo frames support | Yes |
| Jumbo frames | 9000 |
Security
| Specification | Value |
|---|---|
| DHCP features | DHCP server, DHCP snooping, DHCP relay, DHCP client |
| Authentication type | IEEE 802.1x, RADIUS |
| Queue scheduling algorithms | Weighted Round Robin (WRR) |
| Security algorithms | HTTPS, SNMP, SNMPv3, SSH |
Multicast features
| Specification | Value |
|---|---|
| Multicast support | Yes |
Design
| Specification | Value |
|---|---|
| Rack mounting | No |
| Product colour | Black |
| LED indicators | Alarm, LAN, PoE, Status |
| DIN rail mounting | Yes |
| International Protection (IP) code | IP30 |
| Wall mountable | Yes |
| Electromagnetic compatibility | FCC 15, EN 61000‑6‑2, EN 61000‑6‑4, EN 61000‑4‑2, ‑3, ‑4, ‑5, ‑6 |
Performance
| Specification | Value |
|---|---|
| Firmware upgradeable | Yes |
Power
| Specification | Value |
|---|---|
| DC input voltage | 48 - 58 V |
| Power consumption (typical) | 14 W |
Power over Ethernet (PoE)
| Specification | Value |
|---|---|
| Power over Ethernet (PoE) | Yes |
| Power over Ethernet plus (PoE+) ports quantity | 8 |
| Power over Ethernet (PoE) voltage range | 54 - 58 V |
| Power over Ethernet (PoE) power per port | 60 W |
| Total Power over Ethernet (PoE) budget | 240 W |
Operational conditions
| Specification | Value |
|---|---|
| Operating temperature (T-T) | -40 - 75 °C |
| Storage temperature (T-T) | -40 - 85 °C |
| Operating relative humidity (H-H) | 5 - 95% |
Weight & dimensions
| Specification | Value |
|---|---|
| Width | 71 mm |
| Depth | 154 mm |
| Height | 128 mm |
| Weight | 1.41 kg |
Packaging data
| Specification | Value |
|---|---|
| Package width | 195 mm |
| Package depth | 242 mm |
| Package height | 138 mm |
| Package weight | 1.86 kg |
Technical details
| Specification | Value |
|---|---|
| Master (outer) cases per pallet (air) | 20 pc(s) |
| Master (outer) cases per pallet (sea) | 28 pc(s) |
| Pallet gross length | 120 cm |
| Pallet gross weight (air) | 415.6 kg |
| Pallet gross weight (sea) | 575 kg |
| Pallet gross width | 110 cm |
| Pallet height (air) | 148.5 cm |
| Pallet height (sea) | 2.02 m |
| Products per pallet (air) | 200 pc(s) |
| Products per pallet (sea) | 280 pc(s) |
| Products per shipping (inner) case | 10 pc(s) |
| Shipping (inner) case gross weight | 19.9 kg |
| Shipping (inner) case height | 27 cm |
| Shipping (inner) case length | 69.5 cm |
| Shipping (inner) case net weight | 18.6 kg |
| Shipping (inner) case width | 40.5 cm |
Certificates
| Specification | Value |
|---|---|
| Certification | IEC60068‑2‑6, IEC60068‑2‑27, IEC60068‑2‑32, UL 60950‑1, CE, FCC, RoHS, WEEE |
Logistics data
| Specification | Value |
|---|---|
| Harmonized System (HS) code | 85176990 |
What people say
Reviews & ratings
D-Link 14-Port L2 Managed Switch with
No reviews yet
Be the first to tell others how D-Link 14-Port L2 Managed Switch with works for you.
Write the first review- Every rating countsLow ratings are never hidden, removed or pushed down.
- Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
- Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.
Compare D-Link 14-Port L2 Managed Switch with
All network switch comparisons- D-Link 14-Port L2 Managed Switch with vsD-Link 8-Port L2 Managed Switch withCompare specs
- D-Link 14-Port L2 Managed Switch with vsD-Link DMS-1100-10TS network switch Managed L2Compare specs
- D-Link 14-Port L2 Managed Switch with vsD-Link 12-Port L2 Managed Switch Switch withCompare specs
- D-Link 14-Port L2 Managed Switch with vsD-Link 5-Port Unmanaged Switch withCompare specs
- D-Link 14-Port L2 Managed Switch with vsDell N1148T Managed L2 Gigabit Ethernet (10/100/1000) 1U BlackCompare specs
- D-Link 14-Port L2 Managed Switch with vsDell N1124T Managed L2 Gigabit Ethernet (10/100/1000) 1U BlackCompare specs
- D-Link 14-Port L2 Managed Switch with vsIntellinet 16-Port Gigabit Ethernet PoE+ Switch with 2 SFP Ports, LCD Display, IEEE 802.3at/af Power over Ethernet (PoE+/PoE) CompliantCompare specs
- D-Link 14-Port L2 Managed Switch with vsAllied Telesis GS920/24 Unmanaged L2 Gigabit Ethernet (10/100/1000) 1U GreyCompare specs
Similar products
All network switchesD-Link
DGS-3130 Series Gigabit Layer 3 Stackable Managed Switches
Model DGS-3130-30PS
- Noise
- 53.4 dB
- Weight
- 4.66 kg
- Colour
- Black, Grey
D-Link
48-port Layer 3 Stackable Managed Gigabit Switch including
Model DGS-3630-52TC
- Noise
- 53.9 dB
- Type
- 1U
- Weight
- 4.04 kg
D-Link
24-Port L3 Stackable Managed Gigabit Switch including
Model DGS-3630-28TC
- Noise
- 52.7 dB
- Type
- 1U
- Weight
- 3.74 kg
LevelOne
18-Port L2 Plus Managed Industrial PoE Switch
Model IGP-1871
- Memory
- 512 MB
- Weight
- 1.55 kg
- Colour
- Black
D-Link
24-Port SFP L3 Stackable Managed Gigabit Switch including
Model DGS-3630-28SC
- Noise
- 56 dB
- Type
- 1U
- Weight
- 3.79 kg
D-Link
28-Port Gigabit PoE+ Smart Managed Switch including
Model DGS-1210-28MP
- Memory
- 128 MB
- Noise
- 52.4 dB
- Type
- 1U
NETGEAR
M4350-36X4V network switch Managed L3
Model M4350-36X4V
- Processor
- ARM Cortex-A57
- Memory
- 4096 MB
- Noise
- 54 dB



















